local function http_listener ()
  local tw = TextWindow.new ("Auditeur du mini-serveur")
  local tap = Listener.new (nil, "http-stat")
  tw:set_atclose (function () tap:remove() end)
  
  local packets = 0
  -- Fonction appelée pour chaque paquet du filtre
  function tap.packet (pinfo, buffer, userdata)
    tw:append(tostring(pinfo.cols.info) .."\n")
    packets = packets + 1
  end
  -- appelée de temps à autre pour mettre à jour le GUI
  function tap.draw (userdata)
    tw:append("Nombre de paquets : "..packets.."\n")
  end
  -- fonction appelée au démarrage d'une capture
  function tap.reset (userdata)
    tw:clear()
    packets = 0
  end
  retap_packets ()
end
register_menu ("Auditeur du mini-serveur", http_listener, MENU_TOOLS_UNSORTED)
