
#include <stdlib.h>
#include <lua.h>
#include <lualib.h>
#include <lauxlib.h>

static int my_funny_text(lua_State* L) {
   int i, len;
   const char* str = luaL_checklstring(L, 1, &len);
   char* newstr = calloc(len, 1);
   char* at = newstr;
   for (i = 0; i < len; i++) {
      *at = (i % 2 == 0) ? toupper(str[i]) : tolower(str[i]);
      at++;
   }
   lua_settop(L, 0);
   lua_pushlstring(L, newstr, len);
   free(newstr);
   return 1;
}

int luaopen_funny(lua_State* L) {
   luaL_Reg funcs[] = {
      { "funny_text", my_funny_text },
      NULL
   };
   luaL_newlib(L, funcs);
   return 1;
}

